gnash(1)

NAME
gnash, gtk-gnash, kde4-gnash - GNU Flash (SWF) Player

Synopsis
gnash [option]... [URL]

DESCRIPTION
Run the SWF movie player.

-h, --help
    Print usage info.

-V, --version
    Print the version number, and the configuration, of the Gnash player. Please provide this information when submitting bug reports.

-s factor, --scale factor
    Scale the movie up/down by the specified factor.

-c  Produce a core file instead of letting SDL trap it

-d num, --delay num
    Number of milliseconds to delay in main loop.

-v, --verbose
    Be verbose; i.e. print log messages to stdout.

-a  Be very verbose about movie action execution. Must be used in conjunction with -v.

-p  Be very verbose about parsing. Must be used in conjunction with -v.

-A file
    Audio dump file (wave format).

--hwaccel none|vaapi|xv
    Hardware Video Accelerator to use none|vaapi|xv|omap (default: none)

-x xid, --xid xid
    The XID of the parent window Gnash should use instead of creating a new one. This is only used when embedding the player into another window.

-w, --writelog
    Write the gnash-dbg.log debug log to disk. By default the plugin writes its log in your home directory when using a launcher from GNOME or KDE.

-j width, --width width
    Set the width of the window. This is only used when embedding the player into another window.

-k height, --height height
    Set the height of the window. This is only used when embedding the player into another window.

-X x-pos, --x-pos x-pos
    Set window x position.

-Y y-pos, --y-pos y-pos
    Set window y position.

-1, --once
    Play once; exit when/if movie reaches the last frame.

-g  Start Gnash with a Flash debugger console so one can set breakpoints or watchpoints.

-r [0|1|2|3]
    0 disables rendering and sound (good for batch tests). 1 enables rendering, disable sound. 2 disables rendering, enable sound. 3 enables rendering and sound (default setting).

-M ffmpeg|gst, --media ffmpeg|gst
    The media handler to use (default: ffmpeg).

-R agg|cairo|opengl, --renderer agg|cairo|opengl
    The renderer to use (default: agg).

-t sec, --timeout sec
    Timeout and exit after the specified number of seconds.

-u url, --real-url url
    Set "real" url of the movie (useful for downloaded movies).

-U url, --base-url url
    Set "base" url for this run (used to resolve relative urls, defaults to movie url)

-P param, --param param
    Set parameter (ie. "FlashVars=A=1&b=2")

-F x:y, --fd x:y
    Set file descriptors to use for external communications. x is use by the player to send commands to the plugin, y is used by the plugin to send commands to the standalone player.

--max-advances num
    Exit after specified number of frame advances.

--fullscreen
    Start in fullscreen mode.

--hide-menubar
    Start without displaying the menu bar.

--screenshot list
    Set a list of frame advances to be saved as screenshots. The list must be comma-separated. Valid values are integers and the phrase "last". If "last" is specified, the final frame before exit is saved. Invalid values are ignored. Frame numbers apply to the sequence of frames as the SWF is executed, not the frame sequence defined in the SWF. Use in combination with --screenshot-file to specify output filename.

--screenshot-file file
    Specify the output pattern for screenshot filenames. The token %f in a pattern will be replaced with a frame identifier. If you specify multiple frames and do not use %f, the file will be overwritten for each screenshot. If this option is not specified but screenshots are requested, a default filename will be used.

  KEYS

CTRL-Q
    Quit/Exit.

CTRL-W
    Quit/Exit.

CTRL-P
    Toggle pause.

CTRL-R
    Restart the movie.

CTRL-L
    Force immediate redraw.

CTRL-F
    Toggle fullscreen. ESC also exits fullscreen.

CTRL-O
    Save a spontaneous screenshot. If no screenshots were requested from the command line, a default filename is used. Otherwise, the same filename pattern is used for requested and spontaneous screenshots.

Flash is a registered trademark of Adobe Corporation.